Package net.shibboleth.shared.service.reloadable

# Class NonReloadableExcluder

java.lang.Object
net.shibboleth.shared.service.reloadable.NonReloadableExcluder

All Implemented Interfaces:
  `BeanFactoryPostProcessor`

public class NonReloadableExcluder extends Object implements BeanFactoryPostProcessor
Post-processes bean definitions by marking any reloadable beans as singletons, and any non-reloadable beans as lazy-init to limit/prevent instantiation.

Used to implement the "reloadable" custom bean scope in concert with `ReloadableScope`.

Since:
  5.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`NonReloadableExcluder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`postProcessBeanFactory(ConfigurableListableBeanFactory beanFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

## Constructor Details

### NonReloadableExcluder

public NonReloadableExcluder()

## Method Details

### postProcessBeanFactory

public void postProcessBeanFactory(@Nonnull ConfigurableListableBeanFactory beanFactory) throws BeansException

Specified by:
  `postProcessBeanFactory` in interface `BeanFactoryPostProcessor`
Throws:
  `BeansException`